

#----------------------------------------------------------
#Comparaison graphique des taux bruts et ajustés
library(lattice)

compareSurfaces=function(tauxBruts,tauxAjustes){
  g<-expand.grid(x=(ancMin:(ancMax-1)),y=(ageMin:ageMax),gr=1:2)
  g$z<-c(unlist(tauxBruts),unlist(tauxAjustes))
  x11()
    wireframe(z ~ x * y, data = g, groups = gr,scales = list(arrows = FALSE),xlab="ancienneté",ylab="âge de survenance",zlab="taux")
  }
   
compareSurfaces(tauxBruts,resTables[["100"]][[modeleWH]]$tauxAjustes)  
compareSurfaces(resTables[["100"]][[modeleWH]]$tauxAjustes,resTables[["100"]][[modeleBrass]]$tauxAjustes)
compareSurfaces(resTables[["100"]][[modeleWH]]$tauxAjustes,resTables[["5"]][[modeleWH]]$tauxAjustes) 
compareSurfaces(resTables[["100"]][[modeleWH]]$tauxAjustes,resTables[["5"]][[modeleBrass]]$tauxAjustes)       